INSTALL(1)

NOMBRE
install - copia ficheros y establece sus atributos

SINOPSIS
install [opciones] [-s] [--strip] origen dest
install [opciones] [-s] [--strip] origen... directorio
install [opciones] [-d,--directory] directorio...

Opciones (en la forma más corta):
[-b] [-c] [-D] [-g grupo] [-m modo] [-o propietario] [-S SUFIJO] [-V {numbered,existing,simple}] [--help] [--version] [--]

DESCRIPCIÓN
install copia ficheros y establece sus modos de acceso y, si es posible, sus propietario y grupo.

En la primera de las formas de empleo mencionadas antes, el fichero origen se copia al fichero objetivo dest. En la segunda, cada uno de los ficheros origen se copia al directorio de destino. En la última, cada directorio (y los directorios padres que falten) se crea.

install es similar a cp, pero nos permite controlar los atributos de los ficheros destino. Se emplea normalmente en Makefiles para copiar programas a sus directorios de destino. Rehúsa copiar ficheros sobre ellos mismos.

OPCIONES

-c  No hace nada; por compatibilidad con viejas versiones de install de Unix, donde significaba "copiar" en vez de "mover". Esta versión siempre copia.

-d, --directory
    Crea cada directorio dado y sus ancestros, si no existen ya. Establece el propietario, grupo y permiso a los que se den en la línea de órdenes o a los predeterminados. También da estos atributos a los directorios, previos en el camino, que se creen. Este comportamiento es diferente del install de SunOS 4.x, que daba a los directorios que creaba los atributos predeterminados.

-D  Crea todos los componentes delanteros de dest excepto el último y a continuación copia origen a dest. Esta opción es útil en el primer formato de la sinopsis, arriba. (Nueva en fileutils-4.0.)

-g grupo, --group=grupo
    Establece el grupo propietario de los ficheros instalados o directorios al GID de grupo (el grupo predeterminado es el del proceso en curso). grupo puede darse por el nombre o por el GID numérico.

-m modo, --mode=modo
    Establece el modo de permisos para el fichero instalado o directorio a modo, que puede ser un número octal o un modo simbólico como en chmod, siendo 0 el punto de partida. El modo predeterminado es 0755: lectura, escritura y ejecución para el propietario, y lectura y ejecución para el grupo y para los otros.

-o propietario, --owner=propietario
    Si install posee los privilegios apropiados (si es ejecutado por root), establece el propietario de los ficheros o directorios instalados a propietario. El predeterminado es `root'. propietario puede ser un nombre de usuario o un UID numérico.

-s, --strip
    Quita las tablas de símbolos de los ejecutables binarios instalados.

OPCIONES DE RESPALDO DE GNU
Las versiones de GNU de programas como cp, mv, ln, install y patch harán una copia de respaldo de ficheros que estén a punto de ser sobreescritos, cambiados o destruidos, si se desea. Y para indicar que se desean estos ficheros de respaldo se emplea la opción -b. Se especifica cómo deberían nombrarse mediante la opción -V. En el caso de que el nombre del fichero de respaldo se dé con el nombre del fichero extendido con un sufijo, este sufijo se especifica con la opción -S.

-b, --backup
    Hace copias de respaldo de ficheros que estén a punto de ser sobreescritos o borrados.

-S SUFIJO, --suffix=SUFIJO
    Añade SUFIJO a cada fichero de respaldo hecho. Si esta opción no se da, se emplea el valor de la variable de entorno SIMPLE_BACKUP_SUFFIX. Y si SIMPLE_BACKUP_SUFFIX no está definida, el valor predeterminado es `~'.

-V MÉTODO, --version-control=MÉTODO
    Especifica cómo los ficheros de respaldo han de llamarse. El argumento MÉTODO puede ser `numbered' (o `t'), `existing' (o `nil'), o `never' (o `simple'). Si esta opción no se da, se emplea el valor de la variable de entorno VERSION_CONTROL. Y si VERSION_CONTROL no está definida, el tipo predeterminado de copia de respaldo es `existing'.

    Esta opción corresponde a la variable de Emacs `version-control'. Los MÉTODOs válidos son (se aceptan abreviaturas no ambiguas):

    t, numbered
        Siempre hace copias de respaldo numeradas.

    nil, existing
        Hace copias de respaldo numeradas de ficheros que ya las tengan, copias simples de los otros.

    never, simple
        Siempre hace copias de respaldo simples.

OPCIONES ESTÁNDARES DE GNU

--help
    Muestra un mensaje en la salida estándar sobre el modo de empleo y acaba con estado de éxito.

--version
    Muestra en la salida estándar información sobre la versión, y luego acaba con estado de éxito.

--  Termina con la lista de opciones.

ENTORNO
Las variables LANG, LC_ALL, LC_CTYPE y LC_MESSAGES tienen los significados usuales. Para la versión de GNU, las variables SIMPLE_BACKUP_SUFFIX y VERSION_CONTROL controlan cómo se nombran los ficheros de respaldo, según se ha descrito anteriormente.

CONFORME A
BSD 4.2 (que tenía las opciones -c, -m, -o, -g y -s).

OBSERVACIONES
Esta página describe install según se encuentra en el paquete fileutils-4.0; otras versiones pueden diferir un poco. Envíe por correo electrónico correcciones y adiciones a la dirección aeb@cwi.nl. Informe de fallos en el programa a fileutils-bugs@gnu.ai.mit.edu.